TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

MultiplyRow ( elt-alg^mat X, elt-rng c, elt-ord^rat i ) -> elt-alg^mat

### Description

<shortdoc> Return the matrix obtained from X by multiplying row i by the scalar c. </shortdoc>

### Examples

x_mat := Matrix(Q, 2, 2, [4, 4, 3, 4]); MultiplyRow(x_mat, 1/4, 1); # multiply first row by 1/4

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack